Skip to content

Overview

This section documents every function of the Alpha Strike Platform for both regular users and administrators. It complements the step-by-step guides in Getting started: the guides describe how to complete a specific task; this section describes what each view and control does.

AI-assisted content

Artificial intelligence was used to support the creation of this content. The resulting content may have been reviewed and, where appropriate, revised by human contributors before publication.

Contents

Chapter Content
Core concepts The data model of the platform: projects, search terms, scope, discovery, assets, and jobs. Read this first.
Working with the interface Conventions that apply to every view: tables, filters, filter syntax, column selection, export, and pagination.
Projects Creating and managing projects, and every view within a project.
Search Jobs Monitoring the scan jobs that the platform executes.
Companies Company data, members, plans, and scan presets.
Preferences Personal profile, password, two-factor authentication, and API keys.
Administration Platform-wide administration of projects, users, registration requests, companies, and template plans.
Roles and permissions Which functions are available to which role.

Where to start

If you want to Read
Understand how the platform is structured before using it Core concepts
Work efficiently with the result lists Working with the interface
Interpret the findings of a project Projects, in particular Assets, Intel, and Darknet
Administer a company, its members, and its quota Companies
Administer the platform itself Administration

Conventions used in this section

  • Bold text denotes an element of the user interface, for example a button, tab, or field label.
  • Monospace text denotes a value, an identifier, or an entry to be typed.
  • Steps are numbered where the order is mandatory, and presented as a table where the order is not.
  • All addresses, domains, company names, and personal data shown in examples are documentation placeholders in accordance with RFC 5737, RFC 3849, and RFC 2606. They do not refer to real systems or people.

Availability of functions

Some functions are only available to users with the Manager role within a company, or to users with Admin permissions on the platform. Where this is the case, it is stated in the relevant section. See Roles and permissions for a complete overview.